Debian Bug report logs - #651017
Please support multiarch in wavpack

version graph

Package: libwavpack1; Maintainer for libwavpack1 is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libwavpack1 is src:wavpack.

Reported by: Becka Morgan <beckamorgan@comcast.net>

Date: Mon, 5 Dec 2011 01:03:04 UTC

Severity: normal

Fixed in version wavpack/4.60.1-2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#651017; Package libwavpack1. (Mon, 05 Dec 2011 01:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Becka Morgan <beckamorgan@comcast.net>:
New Bug report received and forwarded. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Dec 2011 01:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Becka Morgan <beckamorgan@comcast.net>
To: submit@bugs.debian.org
Subject: Please support multiarch in wavpack
Date: Sun, 04 Dec 2011 17:00:01 -0800
[Message part 1 (text/plain, inline)]
Package: libwavpack1

Hey,
This is a patch for libwavpack1 to able multiarch support as described 
at http://wiki.debian.org/Multiarch/Implementation.  Please consider 
applying it to your package.
Thank You ,
 Becka Morgan
[wavdiff.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#651017; Package libwavpack1. (Mon, 05 Dec 2011 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Dec 2011 09:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 651017@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Becka Morgan <beckamorgan@comcast.net>
Cc: 651017@bugs.debian.org
Subject: Re: Bug#651017: Please support multiarch in wavpack
Date: Mon, 5 Dec 2011 10:42:35 +0100
Hello,

On Mon, Dec 5, 2011 at 2:00 AM, Becka Morgan <beckamorgan@comcast.net> wrote:
> This is a patch for libwavpack1 to able multiarch support as described at
> http://wiki.debian.org/Multiarch/Implementation.  Please consider applying
> it to your package.

ACK from me to your patch, unfortunately it is not enough, the
pkgconfig file would result broken.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 05 Dec 2011 09:54:12 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 11:06:15 GMT) Full text and rfc822 format available.

Notification sent to Becka Morgan <beckamorgan@comcast.net>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 11:06:18 GMT) Full text and rfc822 format available.

Message #17 received at 651017-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651017-close@bugs.debian.org
Subject: Bug#651017: fixed in wavpack 4.60.1-2
Date: Mon, 05 Dec 2011 11:05:09 +0000
Source: wavpack
Source-Version: 4.60.1-2

We believe that the bug you reported is fixed in the latest version of
wavpack, which is due to be installed in the Debian FTP archive:

libwavpack-dev_4.60.1-2_amd64.deb
  to main/w/wavpack/libwavpack-dev_4.60.1-2_amd64.deb
libwavpack1_4.60.1-2_amd64.deb
  to main/w/wavpack/libwavpack1_4.60.1-2_amd64.deb
wavpack_4.60.1-2.debian.tar.gz
  to main/w/wavpack/wavpack_4.60.1-2.debian.tar.gz
wavpack_4.60.1-2.dsc
  to main/w/wavpack/wavpack_4.60.1-2.dsc
wavpack_4.60.1-2_amd64.deb
  to main/w/wavpack/wavpack_4.60.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651017@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated wavpack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Dec 2011 11:36:14 +0100
Source: wavpack
Binary: libwavpack1 libwavpack-dev wavpack
Architecture: source amd64
Version: 4.60.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libwavpack-dev - audio codec (lossy and lossless) - development files
 libwavpack1 - audio codec (lossy and lossless) - library
 wavpack    - audio codec (lossy and lossless) - encoder and decoder
Closes: 651017
Changes: 
 wavpack (4.60.1-2) unstable; urgency=low
 .
   * Team upload.
   * Enable Multi-Arch support (Closes: #651017):
     - debian/{*.install,control,rules}: Update references and enable
       Multi-Arch: same; patch from Becka Morgan.
     - debian/patches/0001-pkgconfig.patch: Avoid wavpack.pc to be
       broken after switching to Multi-Arch.
   * Fix lintian's warnings:
     - binary-control-field-duplicates-source
     - copyright-refers-to-deprecated-bsd-license-file
     - description-synopsis-starts-with-article
   * Enable MMX extensions on amd64.
   * Correct maintainer's name, add VCS fields.
   * Bump debian/compat.
   * Bump Standards version.
   * Add gbp config file.
Checksums-Sha1: 
 632610269e2377eafd64967cc92f26a267ccc691 1461 wavpack_4.60.1-2.dsc
 a3845d2c5207e7ac7419c66d742a614ed4e2244b 5307 wavpack_4.60.1-2.debian.tar.gz
 c10ff3a5349086fa8699d690bf11321a0ed42c67 90454 libwavpack1_4.60.1-2_amd64.deb
 b6dfdb00e437ceea78c72c125093e2e1bb96e96a 103110 libwavpack-dev_4.60.1-2_amd64.deb
 1bfd68b9699eea6bb48f252f00470d9db90cfa9f 69216 wavpack_4.60.1-2_amd64.deb
Checksums-Sha256: 
 772f386c33dea946359e7df134d46eceac01e67d629d2f30ca9149141fd9443b 1461 wavpack_4.60.1-2.dsc
 60931ab580c49e858347267ab11c3b47962c93ff63a27e070e7fefb857c3fe45 5307 wavpack_4.60.1-2.debian.tar.gz
 3add76a1a21bd1dbbe42c2a05419e18195b51630be291f0dfe2999143d8d0c74 90454 libwavpack1_4.60.1-2_amd64.deb
 133cb90a053851dc78760663001b19e6db2e6c497f9e54045389b6c91c986760 103110 libwavpack-dev_4.60.1-2_amd64.deb
 ab6c5b6131ef32a65d6e9da0137494330bd7c3ae4cb2966c8fe3ef225be30b24 69216 wavpack_4.60.1-2_amd64.deb
Files: 
 aaed48bef2b473c2c4b68e8aea3a7ab1 1461 sound optional wavpack_4.60.1-2.dsc
 6f3702fb5cdd5055f0fcb1218425ff36 5307 sound optional wavpack_4.60.1-2.debian.tar.gz
 390bc27ac4bae8e0e81ddfd136290b65 90454 libs optional libwavpack1_4.60.1-2_amd64.deb
 7ea08dccddaa22c7df52c8960a1acf4e 103110 libdevel optional libwavpack-dev_4.60.1-2_amd64.deb
 f57565262d7a37c9c969462d72a2f90b 69216 sound optional wavpack_4.60.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7coHcACgkQRdSMfNz8P9BVhACdGoWG8RZVv1p41QHzQRsLwU7k
DSsAniJ61q3eZJhqMYshZsgoy8c806tV
=VCQq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:57:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.